Skip to main content
GET
/
accounts
/
{acc_id}
curl https://production.methodfi.com/accounts/acc_Zc4F2aTLt8CBt \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "acc_Zc4F2aTLt8CBt",
  "holder_id": "ent_y1a9e1fbnJ1f3",
  "status": "active",
  "type": "liability",
  "liability": {
    "mch_id": "mch_302086",
    "mask": "1580",
    "ownership": "primary",
    "fingerprint": "27d5c0ea28338619192076d150eb7b56c288f9a1",
    "type": "credit_card",
    "sub_type": "secured",
    "name": "Chase Sapphire Reserve Credit Card"
  },
  "latest_verification_session": "avf_tB9mpmew8FLit",
  "update": "upt_TXDTR7Amyz7Az",
  "balance": "bal_dGCCNWHMQYRay",
  "card_brand": "crd_eVMDNUPfrFk3e",
  "payment_instrument": "pmt_inst_pd788hPVhLT37",
  "products": ["balance", "card_brand", "update", "payment", "payment_instrument.card", "payment_instrument.network_token", "payment_instrument.inbound_achwire_payment"],
  "restricted_products": ["attribute", "sensitive"],
  "subscriptions": [],
  "available_subscriptions": ["update.snapshot", "update"],
  "restricted_subscriptions": ["transaction"],
  "error": null,
  "metadata": null,
  "created_at": "2024-04-12T18:57:57.857Z",
  "updated_at": "2024-04-12T18:57:58.430Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns the Account associated with the ID.

Path Parameters

Query Parameters

Returns

Returns the Account associated with the ID.
curl https://production.methodfi.com/accounts/acc_Zc4F2aTLt8CBt \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "acc_Zc4F2aTLt8CBt",
  "holder_id": "ent_y1a9e1fbnJ1f3",
  "status": "active",
  "type": "liability",
  "liability": {
    "mch_id": "mch_302086",
    "mask": "1580",
    "ownership": "primary",
    "fingerprint": "27d5c0ea28338619192076d150eb7b56c288f9a1",
    "type": "credit_card",
    "sub_type": "secured",
    "name": "Chase Sapphire Reserve Credit Card"
  },
  "latest_verification_session": "avf_tB9mpmew8FLit",
  "update": "upt_TXDTR7Amyz7Az",
  "balance": "bal_dGCCNWHMQYRay",
  "card_brand": "crd_eVMDNUPfrFk3e",
  "payment_instrument": "pmt_inst_pd788hPVhLT37",
  "products": ["balance", "card_brand", "update", "payment", "payment_instrument.card", "payment_instrument.network_token", "payment_instrument.inbound_achwire_payment"],
  "restricted_products": ["attribute", "sensitive"],
  "subscriptions": [],
  "available_subscriptions": ["update.snapshot", "update"],
  "restricted_subscriptions": ["transaction"],
  "error": null,
  "metadata": null,
  "created_at": "2024-04-12T18:57:57.857Z",
  "updated_at": "2024-04-12T18:57:58.430Z"
}